﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using System.IO;
using System.Collections;

public partial class Default : System.Web.UI.Page
{

    public List<string> SearchItemsIDs
    {
        get { return (List<string>)Session["SearchItemsIDs"]; }
        set { Session["SearchItemsIDs"] = value; }
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        if (Page.IsPostBack)
            RestoreControls();
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
            ConfigureControls();
    }

    private void ConfigureControls()
    {
        SearchItemsIDs = new List<string>();
        CreateComboBox();
    }

    private void RestoreControls()
    {
        foreach (string comboID in SearchItemsIDs)
        {
            var combo = new RadComboBox();
            combo.ID = comboID;
            phSearchItems.Controls.Add(combo);
        }
    }

    private void CreateComboBox()
    {
        var combo = new RadComboBox();
        phSearchItems.Controls.Add(combo);

        combo.ID = string.Format("cboTest_{0}", Path.GetFileNameWithoutExtension(Path.GetTempFileName()));

        combo.Items.Add(new RadComboBoxItem("item1", "1"));
        combo.Items.Add(new RadComboBoxItem("item2", "2"));
        combo.Items.Add(new RadComboBoxItem("item3", "3"));

        SearchItemsIDs.Add(combo.ID);
    }

    protected void btnAddItem_Click(object sender, EventArgs e)
    {
        CreateComboBox();
    }
}
